# Interface VCFTextTransformer

All Known Implementing Classes:
  `VCFPassThruTextTransformer, VCFPercentEncodedTextTransformer`

public interface VCFTextTransformer
Interface for transforming attribute values embedded in VCF. VCF version 4.3 supports percent-encoding of characters that have special meaning in VCF. Pre-v43, such encoding are not supported and no transformation needs to be done.

## Method Summary

Modifier and Type
Method
Description
`String`
`decodeText(String rawPart)`
Transform a single string.
`List<String>`
`decodeText(List<String> rawParts)`
Transform a list of strings.

## Method Details

### decodeText

String decodeText(String rawPart)
Transform a single string.

Parameters:
  `rawPart` - the raw string to be decoded
Returns:
  the decoded string
Throws:
  `TribbleException` - if the the encoding is uninterpretable

### decodeText

List<String> decodeText(List<String> rawParts)
Transform a list of strings.

Parameters:
  `rawParts` - a list of raw strings
Returns:
  a list of decoded strings
Throws:
  `TribbleException` - if the the encoding is uninterpretable